> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete a USSD Payment



## OpenAPI

````yaml post /api/v1/ussd-payment
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/ussd-payment:
    post:
      tags:
        - Custom Checkout
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InitiateUSSDPaymentRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/InitiateUSSDPaymentRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/InitiateUSSDPaymentRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    InitiateUSSDPaymentRequest:
      required:
        - bankCode
        - transactionReference
      type: object
      properties:
        transactionReference:
          maxLength: 150
          minLength: 0
          type: string
        bankCode:
          maxLength: 10
          minLength: 0
          type: string
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your API key (e.g. your public key) as a Bearer token to access
        this API.
      name: Authorization
      in: header

````